package com.vectalis.demo.domain;

import java.util.Map;

import javax.persistence.*;

@Entity
public class Project
{
	@Id
	private String code;
	
	@OneToMany(mappedBy = "project")
	@MapKey
	private Map<Assignement.PK, Assignement> assignements;

	public String getCode()
	{
		return code;
	}
	
	public Project(String code)
	{
		this.code = code;
	}
	
	public Map<Assignement.PK, Assignement> getAssignements()
	{
		return assignements;
	}
}
