package com.vectalis.demo.domain;

import java.util.Map;

import javax.persistence.*;

@Entity
public class User
{
	@Id
	private String code;

	@OneToMany(mappedBy = "user")
	@MapKey
	private Map<Assignement.PK, Assignement> assignements;
		
	public User(String code)
	{
		this.code = code;
	}
	
	public String getCode()
	{
		return code;
	}

	public Map<Assignement.PK, Assignement> getAssignements()
	{
		return assignements;
	}
}
